FLASHBENCH(1)

NAME
flashbench - benchmark flash storage devices

DESCRIPTION
flashbench [OPTION]... [DEVICE] run tests on DEVICE, pointing to a flash storage medium.

-o, --out=FILE write output to FILE instead of stdout -s, --scatter run scatter read test

--scatter-order=N scatter across 2^N blocks

--scatter-span=N span each write across N blocks

-f, --find-fat analyse first few erase blocks

--fat-nr=N
    look through first N erase blocks (default: 6)

-O, --open-au find number of open erase blocks

--open-au-nr=N try N open erase blocks

--offset=N
    start at position N

-r, --random use pseudorandom access with erase block -v, --verbose increase verbosity of output -c, --count=N run each test N times (default: 8 -b, --blocksize=N use a blocksize of N (default:16K) -e, --erasesize=N use a eraseblock size of N (default:4M)